B2BB2B LLM

Gehoste internetzoekopdracht

Gebruik de tool Responses API web_search in plaats van een zelfstandig eindpunt.

Gehoste internetzoekopdracht

Model Gate publiceert geen afzonderlijk document /v1/web-search contract aanvragen. Gebruik POST /v1/responses met de gehoste web_search hulpmiddel.

Verzoek

curl https://api.model-gate.com/v1/responses \
  -H "Authorization: Bearer mg_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.4",
    "input": [{"role": "user", "content": [{"type": "input_text", "text": "Find the latest official release notes."}]}],
    "tools": [{"type": "web_search"}],
    "tool_choice": "required",
    "include": ["web_search_call.action.sources"],
    "stream": false
  }'

Antwoord

Het voltooide Responses-object omvat de modeluitvoer en controleerbare webzoekbronnen wanneer het upstream-model gehost zoeken ondersteunt.

{
  "id": "resp_...",
  "object": "response",
  "status": "completed",
  "output": [
    {
      "type": "web_search_call",
      "action": {
        "sources": [
          {"type": "url", "url": "https://example.com/source"}
        ]
      }
    },
    {
      "type": "message",
      "content": [
        {"type": "output_text", "text": "..."}
      ]
    }
  ]
}